MBeanTrustPermission (Java Platform SE 8 )
Keywords: javax.management.MBeanTrustPermission class
Date: 2026-04-17

compact3
javax.management

## Class MBeanTrustPermission

- java.lang.Object
- - java.security.Permission
  - - java.security.BasicPermission
    - - javax.management.MBeanTrustPermission

- All Implemented Interfaces:
    Serializable, Guard

      public class MBeanTrustPermission
      extends BasicPermission

  This permission represents "trust" in a signer or codebase.

  MBeanTrustPermission contains a target name but no actions list. A single target name, "register", is defined for this permission. The target "*" is also allowed, permitting "register" and any future targets that may be defined. Only the null value or the empty string are allowed for the action to allow the policy object to create the permissions specified in the policy file.

  If a signer, or codesource is granted this permission, then it is considered a trusted source for MBeans. Only MBeans from trusted sources may be registered in the MBeanServer.

  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MBeanTrustPermission(String name)` Create a new MBeanTrustPermission with the given name.
    `MBeanTrustPermission(String name, String actions)` Create a new MBeanTrustPermission with the given name.

  - ### Method Summary

    - ### Methods inherited from class java.security.BasicPermission

      `equals, getActions, hashCode, implies, newPermissionCollection`

    - ### Methods inherited from class java.security.Permission

      `checkGuard, getName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MBeanTrustPermission

          public MBeanTrustPermission(String name)

      Create a new MBeanTrustPermission with the given name.

      This constructor is equivalent to `MBeanTrustPermission(name,null)`.

      Parameters:
        `name` - the name of the permission. It must be "register" or "*" for this permission.
      Throws:
        `NullPointerException` - if `name` is `null`.
        `IllegalArgumentException` - if `name` is neither "register" nor "*".

    - #### MBeanTrustPermission

          public MBeanTrustPermission(String name,
                                      String actions)

      Create a new MBeanTrustPermission with the given name.

      Parameters:
        `name` - the name of the permission. It must be "register" or "*" for this permission.
        `actions` - the actions for the permission. It must be null or `""`.
      Throws:
        `NullPointerException` - if `name` is `null`.
        `IllegalArgumentException` - if `name` is neither "register" nor "*"; or if `actions` is a non-null non-empty string.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.